package com.fs.gtPush.service;

import com.fs.common.core.domain.R;
import com.fs.gtPush.domain.PushReqBean;
import com.fs.gtPush.domain.PushResult;

import java.util.List;

public interface uniPush2Service {
    PushResult pushMessage(PushReqBean push);
    void pushOne(Long userId,Long businessId,String purl,String title,String content, Float type, Integer desType);
    void pushAll(List<String> userIds, Long businessId, String purl, String imgUrl, String title, String content, Float type, Integer desType);
    PushReqBean getParam(Long userId,String purl,String title,String content,Float type);
    PushReqBean pushAllGetParam(List<String> userIds,String purl,String imgUrl,String title,String content,Float type);

//    void pushSopAppLinkMsg(Long fsUserId,String linkTile,String linkDescribe,String link);
//    PushReqBean getSopAppLinkParams(Long fsUserId,String linkTile,String linkDescribe,String link);

    void pushSopAppLinkMsgByExternal(Long externalId,String linkTile,String linkDescribe,String link);
    PushReqBean getSopAppLinkParamsByExternal(Long externalId,String linkTile,String linkDescribe,String link);
}
